Bug 223629 - vncviewer fails to connect properly to macosx
Summary: vncviewer fails to connect properly to macosx
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vnc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-20 23:06 UTC by Matthew Galgoci
Modified: 2013-04-30 23:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-01 14:23:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Galgoci 2007-01-20 23:06:04 UTC
Description of problem:

For as long as I can remember, vncviewer has failed to connect to the builtin
vnc server in macosx. If I mess with the color levels the client supports, it
sort of works - I can move the mouse remotely but can't see anything on the
screen - eg it's all black.

I'm able to use tightvnc 1.2.9 win32 version under wine to connect and it
amazingly works. tightvnc for linux 1.2.9 connects but doesn't actually display
anything - though I'm able to move the mouse on the OSX system remotely.

Version-Release number of selected component (if applicable):

VNC Viewer Free Edition 4.1.2 for X - built Jan 15 2007 10:36:41

How reproducible:

-1

Steps to Reproduce:
1. find a macintosh running osx with vnc service enabled.
2. attempt to connect with bog standard vncviewer in fc6 or rhel4/5b
3. enjoy frusteration as the connection is unusable or terminates abnormally.
  
Actual results:

vncviewer fails to connect to the macosx host and/or returns a black screen -
basically the connection is unusable if you can get connected.

Expected results:

vncviewer should work as well as the win32 version of tightvnc

Comment 1 Matthew Galgoci 2007-01-20 23:16:14 UTC
If I reduce the color depth on the remote screen from millions to thousands, and
set the color level to "all available colors" on the vncviewer, the connection
actually works and is usable.

I don't need to turn down the remote screen color depth with the win32 tightvnc
client under wine. weird.

Is there anything we can do to make the linux vncviewer client suck less?

Comment 2 Adam Tkac 2007-01-22 11:51:47 UTC
I don't have any suitable test machine (osx). Could you give me access to one?
Thanks much

Comment 3 Adam Tkac 2007-02-01 14:23:15 UTC
Mac's vncserver isn't VNC compatible so this isn't vncviewer problem. Look at
http://www.realvnc.com/pipermail/vnc-list/2007-January/056872.html thread,
please. I'm closing this


Note You need to log in before you can comment on or make changes to this bug.